"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var timer_1 = require("./lib/timer");
var TimerFactory = (function () {
    function TimerFactory() {
    }
    TimerFactory.getTimerInstance = function () {
        if (!this.timer) {
            this.timer = new timer_1.Timer();
        }
        return this.timer;
    };
    TimerFactory.clearTimer = function () {
        this.timer = null;
    };
    return TimerFactory;
}());
module.exports = TimerFactory;
exports.default = TimerFactory;
