import { INormalWindow, IExceptionalWindow } from "./interfaces/i-working-hours";
export declare class TimerValidator {
    constructor();
    private invalidDateString;
    private invalidWeekDay;
    private invalidTime;
    private invalidRange;
    validateVacations(vacations: string[]): void;
    validateNormalWorkingDays(workingDays: INormalWindow): void;
    validateExceptionalWorkingDays(exceptionalWorkingHours: IExceptionalWindow): void;
    validateMinBuffer(minBufferedDays: number): void;
    validateMaxBuffer(maxBufferedDays: number): void;
}
