"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var timer_unit_1 = require("./timer-unit");
var TimerUtils = (function () {
    function TimerUtils() {
    }
    TimerUtils.getMonth = function (date) {
        var MONTH = date.getMonth() + 1;
        return (MONTH < 10) ? "0" + MONTH : MONTH;
    };
    TimerUtils.getDay = function (date) {
        return (date.getDate() < 10) ? "0" + date.getDate() : date.getDate();
    };
    TimerUtils.getFormatedDate = function (date) {
        var YEAR = date.getFullYear();
        var MONTH = this.getMonth(date);
        var DAY = this.getDay(date);
        return YEAR + "-" + MONTH + "-" + DAY;
    };
    TimerUtils.getDaysBetween = function (from, to) {
        return Math.ceil((from.getTime() - to.getTime()) / timer_unit_1.TimerUnit.DAYS);
    };
    return TimerUtils;
}());
exports.TimerUtils = TimerUtils;
