export default class WorkingTimeout {
    private _baseDate;
    private _fireDate;
    private _duration;
    private _timeUnit;
    private _callback;
    private _description;
    private timeoutMs;
    private timeoutID;
    private _fired;
    private _cancelled;
    constructor(_baseDate: Date, _fireDate: Date, _duration: number, _timeUnit: 'MINUTES' | 'HOURS' | 'DAYS', _callback: Function, _description: string);
    private initTimeout;
    clearTimeout(): void;
    readonly baseDate: Date;
    readonly fireDate: Date;
    readonly duration: number;
    description: string;
    callback: Function;
    readonly timeUnit: 'MINUTES' | 'HOURS' | 'DAYS';
    readonly fired: boolean;
    readonly cancelled: boolean;
    readonly remainingTime: number;
}
